org.omg.CORBA

## Class PrincipalHolder

- java.lang.Object
- - org.omg.CORBA.PrincipalHolder

- All Implemented Interfaces:
    Streamable

  Deprecated.
  Deprecated by CORBA 2.2.

      @Deprecated
      public final class PrincipalHolder
      extends Object
      implements Streamable

  The Holder for `Principal`. For more information on Holder files, see "Generated Files: Holder Files".

  A container class for values of type `Principal` that is used to store "out" and "inout" parameters in IDL methods. If an IDL method signature has an IDL `Principal` as an "out" or "inout" parameter, the programmer must pass an instance of `PrincipalHolder` as the corresponding parameter in the method invocation; for "inout" parameters, the programmer must also fill the "in" value to be sent to the server. Before the method invocation returns, the ORB will fill in the value corresponding to the "out" value returned from the server.

  If `myPrincipalHolder` is an instance of `PrincipalHolder`, the value stored in its `value` field can be accessed with `myPrincipalHolder.value`.

  Since:
    JDK1.2

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Principal` | `value` | Deprecated. The `Principal` value held by this `PrincipalHolder` object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrincipalHolder()` | Deprecated. Constructs a new `PrincipalHolder` object with its `value` field initialized to `null`.
    `PrincipalHolder(Principal initial)` | Deprecated. Constructs a new `PrincipalHolder` object with its `value` field initialized to the given `Principal` object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `_read(InputStream input)` | Deprecated. Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.
    `TypeCode` | `_type()` | Deprecated. Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.
    `void` | `_write(OutputStream output)` | Deprecated. Marshals to `ostream` the value in the `value` field of the Holder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          public Principal value

      Deprecated.
      The `Principal` value held by this `PrincipalHolder` object.

  - ### Constructor Detail

    - #### PrincipalHolder

          public PrincipalHolder()

      Deprecated.
      Constructs a new `PrincipalHolder` object with its `value` field initialized to `null`.

    - #### PrincipalHolder

          public PrincipalHolder(Principal initial)

      Deprecated.
      Constructs a new `PrincipalHolder` object with its `value` field initialized to the given `Principal` object.
      Parameters:
        `initial` - the `Principal` with which to initialize the `value` field of the newly-created `PrincipalHolder` object

  - ### Method Detail

    - #### _read

          public void _read(InputStream input)

      Deprecated.
      Description copied from interface: `Streamable`
      Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.
      Specified by:
        `_read` in interface `Streamable`
      Parameters:
        `input` - the InputStream that represents the CDR data from the wire.

    - #### _write

          public void _write(OutputStream output)

      Deprecated.
      Description copied from interface: `Streamable`
      Marshals to `ostream` the value in the `value` field of the Holder.
      Specified by:
        `_write` in interface `Streamable`
      Parameters:
        `output` - the CDR OutputStream

    - #### _type

          public TypeCode _type()

      Deprecated.
      Description copied from interface: `Streamable`
      Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.
      Specified by:
        `_type` in interface `Streamable`
      Returns:
        the `TypeCode` object for the value held in the holder

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.